{
  services.mosquitto = {
    enable = true;
    listeners = [ {
      users.frigate = {
        acl = [ "readwrite #" ];
        hashedPassword = "$7$101$Zt3Me3AkHbrKBbbI$SsLTGeTwtkFGXS2F1/S3Vg6w7TcgMLU037ttedKaw/Ela0wgqbaAVxecK1j5i5TDw9OjZMkNI9mUzz9l0d7vcg==";
      };
      users.root = {
        acl = [ "readwrite #" ];
        hashedPassword = "$7$101$FjpEh+NpG27RltQe$u2dmg9wz+BBnp1s4z6E6x95TyGO5B9RM2z51qxetvAqO4QDvye1J3UCdMvjuz52iMqzZ3eKi+T2xDeLR7CeMgQ==";
      };
    } ];
  };

  networking.firewall.allowedTCPPorts = [ 1883 ];
}
